[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RolDWord

Rotate bits of a DWord (cardinal) value to the left

## Declaration

Source position: systemh.inc line 992

`function RolDWord(`
`const AValue: DWord`
`):DWord; function RolDWord(`
`const AValue: DWord;`
`const Dist: Byte`
`):DWord;`

## Description

RolDWord rotates the bits of the DWord (cardinal) AValue with Dist positions to the left. If Dist is not specified, then 1 is assumed.

## Errors

None.

## See also

RolByte |  | Rotate bits of a byte value to the left
RolWord |  | Rotate bits of a word value to the left
RorDWord |  | Rotate bits of a DWord (cardinal) value to the right
RolQWord |  | Rotate bits of a QWord (64-bit) value to the left